=== libs/3rdparty/CMakeLists.txt ===
option(CHECK_BOOST_GCC_BUG "Check for wrong combination of Boost and GCC version" ON)

if (LINUX)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" OFF)
	option(SPEEX_INTERNAL "Use internal Speex" OFF)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" OFF)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" OFF)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
else (LINUX)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" ON)
	option(SPEEX_INTERNAL "Use internal Speex" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" ON)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" ON)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
endif (LINUX)

if (WIN32)
	if (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg-bin-win32
		)
	else (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg
		)
	endif (FFMPEG_OLD_VERSION)
else (WIN32)
	subdirs(
		ffmpeg
	)
endif (WIN32)

subdirs(
	pthread
	libstdcpp
	boost
	
	qt4
	libintl
	openssl
	curl
	alsa
	arts
	esd
#	ffmpeg
	tinyxml
	iconv
	zlib
	uuid
	x11
	python
	samplerate
	sndfile
	#iaxclient
	psiidle
)

if(ENABLE_UNIT_TEST)
	subdirs(
		boost-test
	)
endif(ENABLE_UNIT_TEST)

if (ENABLE_CRASHREPORT)
	subdirs(
		googlebreakpad
	)
endif (ENABLE_CRASHREPORT)

if(IMWRAPPER_BACKEND_MULTI)
	subdirs(
		glib
		libxml
		gnutls
		libpurple		
	)
endif(IMWRAPPER_BACKEND_MULTI)

#if (LINUX)
#	subdirs(
#		coredumper
#	)
#endif (LINUX)
