=== debian/changelog ===
qutecom (2.2.1+dfsg1-5.2ubuntu2) wily; urgency=medium

  * No-change rebuild against libtinyxml2.6.2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 20:53:47 +0000

qutecom (2.2.1+dfsg1-5.2ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Hardcode -pthread instead of detecting and attempting (incorrectly) to
      insert -lpthread willy-nilly.
    - Fix missing mem.h headers in phapi.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Nov 2014 17:03:32 +0000

qutecom (2.2.1+dfsg1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libgnutls28-dev instead of libgnutls-dev. (Minimally
    invasive fix, the cmake build-system searches for and requires gnutls,
    however it does not link anything against it.)
    Closes: #764107

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 13:14:40 +0200

qutecom (2.2.1+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add find-qt4-cmake30.patch to fix FTBFS with cmake 3.0. (Closes: #758545)
  * Add fix-missing-qt-include.patch to fix FTBFS with QtWebkit 2.3.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 10 Sep 2014 12:02:55 +0200

qutecom (2.2.1+dfsg1-5ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:23:50 +0100

qutecom (2.2.1+dfsg1-5ubuntu1) utopic; urgency=medium

  * Merge from debian, remaining changes:
    - Fix missing include QtCore/QTimer.
    - pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.
    - Fix missing mem.h headers in phapi.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jun 2014 09:42:08 +0100

qutecom (2.2.1+dfsg1-5) unstable; urgency=medium

  * Add libav10.patch by Anton Khirnov to fix FTBFS with libav10
    (Closes: #739427).
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Mar 2014 00:16:27 -0800

qutecom (2.2.1+dfsg1-4ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 09:11:48 +0100

qutecom (2.2.1+dfsg1-4ubuntu2) trusty; urgency=low

  * Fix missing mem.h headers in phapi.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 02:36:08 +0000

qutecom (2.2.1+dfsg1-4ubuntu1) trusty; urgency=low

  * Merge from debian remaining changes:
    - Fix missing include QTimer.
    - pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 01:36:18 +0000

qutecom (2.2.1+dfsg1-4) unstable; urgency=low

  * Add patches (Closes: #693560, LP: #1080176):
    - build.patch fixes FTBFS in latest sid
    - libav9.8.patch fixes FTBFS realates to libav 9
  * Add libboost-system-dev as build dependency.
  * Change Vcs fileds to canonical form.
  * Fix typo in copyright.
  * Update  Standards-Version to 3.9.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 30 Aug 2013 18:55:51 +0200

qutecom (2.2.1+dfsg1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix-missing-X11.patch: Link against X11 for XInitThreads.
    (Closes: #713733)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Jul 2013 19:07:02 +0200

qutecom (2.2.1+dfsg1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/
    - glib-single-include.patch: Apply patch from Michael Biebl to fix FTBFS
      with newer glib. (Closes: #665603)
    - eglibc-2.17.patch: Fix FTBFS with eglibc 2.17 providing TIME_UTC.
      (Closes: #710605)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jun 2013 20:36:10 +0200

qutecom (2.2.1+dfsg1-3ubuntu3) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:39 +0100

qutecom (2.2.1+dfsg1-3ubuntu2) saucy; urgency=low

  * Use correct TIME_UTC_ symbol.
  * Link against boost_system.
  * Link against x11.
  * Fix missing include QTimer.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 May 2013 17:14:38 +0100

qutecom (2.2.1+dfsg1-3ubuntu1) quantal; urgency=low

  * glib-single-include.patch: Fix FTBFS against new glib that no
    longer allows the linking of glib.h over individual headers.
  * pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Jun 2012 18:04:27 -0600

qutecom (2.2.1+dfsg1-3) unstable; urgency=low

  * Add format-string-security.patch to fix GCC format string warnings
    (Closes: #643462).
  * Add find-ffmpeg-pkgconfig.patch to fix FTBFS for multi-arch libav*
    libraries.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 09 Oct 2011 16:54:56 -0700

qutecom (2.2.1+dfsg1-2) unstable; urgency=low

  * Add curl-include-fix-ftbfs.patch to fix missing FTBS due to a header file
    removed from curl (Closes: #638318).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 18 Aug 2011 22:02:41 -0700

qutecom (2.2.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches applied upstream:
    - fix-include-case.patch
    - fix-linking-binutils-gold.patch
    - typos-grammar-fixes.patch
  * Drop dependecy on quilt (as we are using source version 3).
  * Update Standards-Version to 3.9.2.
  * Add use-external-tinyxml.patch to link agaist system libtinyxml (and
    depend on it).
  * Add new-avcodec-api.patch to build with new libav 0.7 API (LP: #791275).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 16 Jul 2011 12:32:23 -0700

qutecom (2.2+dfsg1-5) unstable; urgency=low

  * Add new-videodev.patch (fix for moved videodev.h) and B-D on libc4l-dev
    (Closes: #623549).
  * Add find-glibconfig.patch to handle new location of glibconfig.h by
    Andreas Moog (LP: #756051).
  * Update Vcs fields from SVN to Git.
  * Revert to first B-D on libqtwebkit-dev.


