=== debian/watch ===
version=3

opts="uversionmangle=s/-RC/~rc/,dversionmangle=s/\.dfsg\d+//" http://www.qutecom.com/downloads/[Qq]ute[Cc]om-(.*).tar.gz
